require 'rake/testtask'
Rake::TestTask.new(:test) do |test|
  test.libs << '/usr/lib/ruby/vendor_ruby'
  test.libs << 'test'
  test.test_files = FileList["test/**/*_test.rb"]
  test.verbose = false
  test.warning = false
end

# Run only autopkgtests
if ENV['ADTTMP'].nil?
  task :default do
    puts 'skipping tests (run only as autopkgtest)'
  end
else
  task :default => [:test]
end
